Debian Bug report logs - #548867
developers-reference: Improve section about developer duties

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Tue, 29 Sep 2009 09:48:30 UTC

Severity: normal

Tags: patch

Found in version developers-reference/3.4.3

Fixed in version developers-reference/3.4.5

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Tue, 29 Sep 2009 09:48:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 29 Sep 2009 09:48:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Improve section about developer duties
Date: Tue, 29 Sep 2009 11:41:34 +0200
Package: developers-reference
Version: 3.4.3
Severity: normal

Following a discussion on debian-newmaint, I think it's important to
improve the section about the duties to clearly communicate to all package
maintainers (and not DD only) that the bare minimum is what I described
in the pledge below (it probably needs to reformulated in the third person
for integration in the devel-ref):

----
As a package maintainer, I will do my best to help the Debian project
release a stable version of our operating system. In particular, I will
work together with the release team and I will keep all packages
associated to my name free of release critical bugs. To this effect, if
I'm not registered as being busy or in vacation, I will start working on
my release critical bugs as soon as possible (in less than 1 week in
common cases). If I can't deal with them in a timely fashion, I will state
it clearly in the associated bug reports, tag them help and invite other
contributors either to provide a patch or to do a non-maintainer upload.

If I do not manage to handle release critical bugs in the above described
way, or if I almost never deal with any of my RC bugs by myself, I will:
• not refuse help and even propose co-maintainance to good contributors
• recognize my failure and actively try to find a new maintainer and/or
  co-maintainers
• not complain if the quality assurance team decides to orphan the package

I recognize that my work is not limited to unstable. I will also work with
the stable release team and the security team to provide updated packages
for the stable and/or testing distribution when some issues deserve it.

I am aware of the limits of my skills and my available time and I will
avoid packaging software that I would not be able to maintain properly.
----

See discussion starting here:
http://lists.debian.org/debian-newmaint/2009/09/msg00018.html

And in particular the message of Christoph Berg (DAM):
http://lists.debian.org/debian-newmaint/2009/09/msg00032.html

Cheers,




Information stored :
Bug#548867; Package developers-reference. (Tue, 29 Sep 2009 17:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 29 Sep 2009 17:45:11 GMT) Full text and rfc822 format available.

Message #10 received at 548867-quiet@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 548867-quiet@bugs.debian.org, debian-policy <debian-policy@lists.debian.org>
Subject: Re: Bug#548867: developers-reference: Improve section about developer duties
Date: Tue, 29 Sep 2009 12:37:19 -0500
On Tue, Sep 29 2009, Raphaël Hertzog wrote:

> Following a discussion on debian-newmaint, I think it's important to
> improve the section about the duties to clearly communicate to all
> package maintainers (and not DD only) that the bare minimum is what I
> described in the pledge below (it probably needs to reformulated in
> the third person for integration in the devel-ref):

        Also, as mentioned in the discussion, the language should be
 made less patronizing and confrontational, and be a better fit for a
 standards document.

--8<---------------cut here---------------start------------->8---
 Responsibilities of a Debian developer
 ================ == = ====== =========

 A Debian developer is responsible for properly maintaining their
 packages, and help maintain the quality of implementation for the OS as
 a whole, and to ensure that their packages integrate nicely with others
 and follow the Debian technical policy.  Amongst other things, a Debian
 Developer has the responsibility to help in releasing a stable version
 the OS, which includes:
    - Work with the release team towards making the release happen
    - Keep the packages under their control free of release critical
      bugs, and work on RC bugs in a timely fashion
    - Release critical bugs should be considered to be amongst the
      highest priority tasks that the developer has in Debian
    - If timely response is not possible (due to time constraints, for
      example), this status should be mentioned clearly in the
      associated bug reports, and these reports should be tagged help.
    - RC bugs that are difficult to correct should be tagged help

The developer also has the responsibility to work with the security and
stable release teams and help provide updated packages for the stable
and/or testing releases as needed.

If the developer has time, and ability, they should also help their
fellow developers deal with release critical bugs, by providing patches,
and if necessary by doing NMU's (see NMU procedures elsewhere in this
document)

Release critical bugs need to ber fixed ASAP, and they are automatic
invitations for bug fixing NMU's, and long standing RC bugs make the
package unsuited for release, and lack of attention to RC bugs is
grounds for the QA team to orphan the package.

--8<---------------cut here---------------end--------------->8---


        The other bits about recognizing their lack of ability and
 rubbing their faces in their own failure sound kind of pompous, and are
 unsuited for a high quality standards document, in my opinion.

        manoj

-- 
Bond reflected that good Americans were fine people and that most of
them seemed to come from Texas. -- Ian Fleming, "Casino Royale"
Manoj Srivastava <srivasta@debian.org> <http://www.debian.org/~srivasta/>  
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Tue, 01 Mar 2011 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 01 Mar 2011 09:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 548867@bugs.debian.org
Subject: Proposed patch to update Debian Developer's Duties chapter
Date: Tue, 1 Mar 2011 10:14:19 +0100
[Message part 1 (text/plain, inline)]
tag 548867 + patch
thanks

Hello,

please find attatched 3 patches that try to update the Debian Developer's
Duties chapter to make it more clear that package maintainers have
responsibilities in making the next stable release happen and in
maintaining their packages in stable (and not only in unstable).

I have split it in two, one for duties related to package's maintainance
one for administrative duties. 

The most interesting patch to review is the third one and it's this one
where I would like to have some feedback. In the absence of objections, I
will commit this sometimes next week.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[0001-Split-the-Developer-s-Duties-chapter-in-two.patch (text/x-diff, attachment)]
[0002-Move-some-sections-around.patch (text/x-diff, attachment)]
[0003-Document-duties-to-wort-towards-the-next-stable-rele.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Tue, 01 Mar 2011 09:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Mon, 07 Mar 2011 10:34:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 07 Mar 2011 10:34:20 GMT) Full text and rfc822 format available.

Message #22 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 7 Mar 2011 09:56:43 +0100
Hi,

On Tue, 01 Mar 2011, Raphael Hertzog wrote:
> The most interesting patch to review is the third one and it's this one
> where I would like to have some feedback. In the absence of objections, I
> will commit this sometimes next week.

Anyone willing to review it?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Tue, 08 Mar 2011 00:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 08 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Tue, 8 Mar 2011 09:20:42 +0900
Le Tue, Mar 01, 2011 at 10:14:19AM +0100, Raphael Hertzog a écrit :
> 
> please find attatched 3 patches that try to update the Debian Developer's
> Duties chapter to make it more clear that package maintainers have
> responsibilities in making the next stable release happen and in
> maintaining their packages in stable (and not only in unstable).

Bonjour Raphaël,

I have to admit that I have mixed feelings with your patch. This is why I
waited a week to let others give more positive comments first. But since there
are no comments, I will give mine.

I checked our Social Contract and Constitution, and did not find a special
emphasis on the stable release. In particular, the Constitution defines
developers as people producing packages or making useful work according to the
Delegates in charge of the new members.

We had the case two years ago that it was announced abruptly (but reversed
later) that the next freeze would take place only 6 monthes after the release.
We are a do-o-craty, and I think that it is important that following such
decisions is an opt-in process, where developers who disagree can simply focus
on other useful work instead of being bound to the new strategy. More in
general, I have seen people (including myself) using the proximity of a release
as an argument to delay or cancel unrelated works. Making a duty of supporting
the release process may give more grounds to that kind of argument. 

More in general, since some of your additions are naming some teams that we
need to support, I think that it would be necessary that they give their
opinion on how it is formulated.

Since the take home message of your patch is to not be a burden to others,
I propose to refocus on this.


> +<section id="help-release">
> +<title>Work towards the next stable release</title>
> +<para>
> +Providing high-quality packages in unstable is not enough, most users will
> +only benefit from your packages when they are released as part of the next
> +stable release. You are thus expected to collaborate with the release team
> +to ensure your packages get included.

My experience is rather the contrary: I am more often asking the RT to include
my packages in stable than the RT is asking me to make sure that my package
will be part of Stable. Perhaps we should recommend to not harrass the release
team for including the latest versions of our packages ?


> +<para>
> +More concretely, you should monitor whether your packages are migrating
> +to testing (see <xref linkend="testing"/>). When the migration doesn't happen
> +after the test period, you should analyze why and work towards fixing this.

I have a long-standing disagreement that when a package has build problem on an
achitecture where there is no evidence for users of that package, the
responsibilities are reversed and it should be to the porters to demonstrate
that it is necessary to build the package on their favorite architecture. (It
happens from time to time that a package starts to FTBFS, not for a new bug,
but because of an improvement of its regression tests, which demonstrate that
on the arch where it fails to build, it was already unusable in the previous
versions).


> +It might mean fixing your package (in the case of release-critical bugs or
> +failures to build on some architecture) but it can also mean updating (or
> +fixing) other packages to help complete a transition in which your package
> +is entangled due to its dependencies. The release team might provide you some
> +input on the current blockers of a given transition if you are not able to
> +identify them.

I agree that we should give a particular care to the packages on which our own
packages depend. But for the transitions, the blockers may be collaterals. In
some cases, from the point of view of the blocked packages, it may be
equivalent to fix or remove the blocker packages.


> +<section id="maintain-stable">
> +<title>Maintain packages in stable</title>
> +<para>
> +Most of the package maintainer's work goes into providing updated
> +versions of packages in unstable, but his job also entails taking care
> +of the packages in the current stable release.
> +</para>
> +<para>
> +While changes in stable are discouraged, they are possible. Whenever a
> +security problem is reported, you should collaborate with the security
> +team to provide a fixed version. When bugs of severity important (or more)
> +are reported against the stable version of your packages, you should
> +consider providing a targeted fix. You can ask the stable release team
> +whether they would accept such an update and then prepare a stable upload
> +(see <xref linkend="upload-stable"/>).

Perhaps members of the Stable and Security teams can comment if they would like
to add more details to this ?


> -release of Debian.  These bugs can delay the Debian release and/or can justify
> -the removal of a package at freeze time.  That's why these bugs need to be
> -corrected as quickly as possible.

> +They can thus delay the Debian release (when they affect a package in
> +testing) or block migrations to testing (when they only affect the package
> +in unstable). In the worst scenario, they will lead to the package's
> +removal. That's why these bugs need to be corrected as quickly as possible.

I do not think that a removal is the worst scenario, since if it is done early
enough it means that the bug does not delay the release, nor takes the time
of other people.


> +Lack of attention to RC bugs is grounds for the QA team to orphan the
> +package.

I think that we need the input of the QA team there. Orphaning a package does
not fix its bugs. If a package is buggy, abandonned and not essential, will the
QA team orphan it or remove it ?


I do not have time to propose a wording this morning, but if for some part you
agree with my comments, please do not hesitate to ask me for some more
formatted input.


Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Tue, 08 Mar 2011 07:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Tue, 08 Mar 2011 07:42:08 GMT) Full text and rfc822 format available.

Message #32 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Tue, 8 Mar 2011 08:36:35 +0100
Hi,

On Tue, 08 Mar 2011, Charles Plessy wrote:
> > +<section id="help-release">
> > +<title>Work towards the next stable release</title>
> > +<para>
> > +Providing high-quality packages in unstable is not enough, most users will
> > +only benefit from your packages when they are released as part of the next
> > +stable release. You are thus expected to collaborate with the release team
> > +to ensure your packages get included.
> 
> My experience is rather the contrary: I am more often asking the RT to include
> my packages in stable than the RT is asking me to make sure that my package
> will be part of Stable. Perhaps we should recommend to not harrass the release
> team for including the latest versions of our packages ?

When I say "collaborate with the release team" it does not imply who is
contacting who. Arguably I have seen both happening: RT contacting
maintainers and maintainers contacting RT.

This is also only an introduction, the next paragaph goes into more
"concrete" details and it's clearer that we refer that the maintainer
should take the initiatives...

> > +<para>
> > +More concretely, you should monitor whether your packages are migrating
> > +to testing (see <xref linkend="testing"/>). When the migration doesn't happen
> > +after the test period, you should analyze why and work towards fixing this.
> 
> I have a long-standing disagreement that when a package has build problem on an
> achitecture where there is no evidence for users of that package, the
> responsibilities are reversed and it should be to the porters to demonstrate
> that it is necessary to build the package on their favorite architecture. (It
> happens from time to time that a package starts to FTBFS, not for a new bug,
> but because of an improvement of its regression tests, which demonstrate that
> on the arch where it fails to build, it was already unusable in the previous
> versions).

I'm not digging in that level of details... and I'm pretty confident you are
not in-line with the consensus on that topic. 

If I were to describe the case you mention, I would say that the duty of
the maintainer is to try to get the problem fixed either with the help of
upstream or with the help of Debian porters. I.e. at least seek for help
before deciding that you can't support it on a given architecture. That's
"work" too, "work towards" doesn't mean "fixing yourself".

> > +It might mean fixing your package (in the case of release-critical bugs or
> > +failures to build on some architecture) but it can also mean updating (or
> > +fixing) other packages to help complete a transition in which your package
> > +is entangled due to its dependencies. The release team might provide you some
> > +input on the current blockers of a given transition if you are not able to
> > +identify them.
> 
> I agree that we should give a particular care to the packages on which our own
> packages depend. But for the transitions, the blockers may be collaterals. In
> some cases, from the point of view of the blocked packages, it may be
> equivalent to fix or remove the blocker packages.

I will add "or removing from testing", it's indeed a way to get a
problematic package out of the equation.

> > +whether they would accept such an update and then prepare a stable upload
> > +(see <xref linkend="upload-stable"/>).
> 
> Perhaps members of the Stable and Security teams can comment if they would like
> to add more details to this ?

I don't think it's needed, the developers reference already has dedicated
sections for security updates and stable updates.

> > -release of Debian.  These bugs can delay the Debian release and/or can justify
> > -the removal of a package at freeze time.  That's why these bugs need to be
> > -corrected as quickly as possible.
> 
> > +They can thus delay the Debian release (when they affect a package in
> > +testing) or block migrations to testing (when they only affect the package
> > +in unstable). In the worst scenario, they will lead to the package's
> > +removal. That's why these bugs need to be corrected as quickly as possible.
> 
> I do not think that a removal is the worst scenario, since if it is done early
> enough it means that the bug does not delay the release, nor takes the time
> of other people.

It's the worst scenario from the maintainer's point of view and it's the
one that I take when I write for maintainers. It's probably not the worst
scenario from the point of view of Debian as a whole, true.

> > +Lack of attention to RC bugs is grounds for the QA team to orphan the
> > +package.
> 
> I think that we need the input of the QA team there. Orphaning a package does
> not fix its bugs. If a package is buggy, abandonned and not essential, will the
> QA team orphan it or remove it ?

Orphan it for a start. Removal will come later if no new maintainer is
found. Removal from testing might happen in the mean time.

> I do not have time to propose a wording this morning, but if for some part you
> agree with my comments, please do not hesitate to ask me for some more
> formatted input.

I have not seen major objections in your comments except that you don't
want to put "support the release team" as a duty but leave it up to each
maintainer.

Of course I don't support that point of view, but I shall add that the
developers-reference is not binding, it's "only" a set of best-practices
to ensure the project runs smoothly and in my opinion, supporting the
release team is part of this.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Fri, 11 Mar 2011 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 11 Mar 2011 13:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 548867@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Fri, 11 Mar 2011 14:32:31 +0100
[Message part 1 (text/plain, inline)]
I've been asked to comment on this bug log, request which I'm more than
happy to fulfill.

On Tue, Mar 08, 2011 at 09:20:42AM +0900, Charles Plessy wrote:
> I checked our Social Contract and Constitution, and did not find a
> special emphasis on the stable release. In particular, the
> Constitution defines developers as people producing packages or making
> useful work according to the Delegates in charge of the new members.

I'd dare to say that most of the processes that exist in Debian are
geared towards the existence of a stable release. Examples or that are
easy to find in Debian folklore: the testing distribution, as it is now,
it's tuned to support stable releases (that's why during freezes people
are kicked out of it a bit more aggressively than in other periods:
because no packages affected by RC bugs should be part of a stable
releases); similarly, the security team vetoes (or not) packages based
on the likelihood that they can be supported security-wise for the
lifetime of a stable release; we also have specific support teams, with
corresponding Debian Developer duties already mentioned in the
Developer's Reference, which are particularly focused on stable releases
(e.g. the Stable Release Managers). There are probably countless other
examples like these.

You're right in saying that there is no mention of all this in the SC
and in the Constitution, but there are lots of developer's "duties"
which are not part of those documents.

> We had the case two years ago that it was announced abruptly (but reversed
> later) that the next freeze would take place only 6 monthes after the release.
> We are a do-o-craty, and I think that it is important that following such
> decisions is an opt-in process, where developers who disagree can simply focus
> on other useful work instead of being bound to the new strategy.

Given that such a change was reverted, exactly because it was not to the
liking of many, how can you use that episode as an example? Isn't it an
example of the fact that developers recognize the authority of the
release team, while still retaining the constitutionally granted ability
of overruling their decisions if needed?

To conclude: I think that helping the release process is one of the duty
of Debian Developers. (I also have the impression this is a shared
feeling among Debian Developer, although I've no data that back that.)
As the release process is shepherded by the release team, collaborating
with the release team and supporting their choices is a way to support
the release process.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Fri, 11 Mar 2011 14:04:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 11 Mar 2011 14:04:59 GMT) Full text and rfc822 format available.

Message #42 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Fri, 11 Mar 2011 23:21:19 +0900
Hi Stefano,

let's focus on Raphaël's patch. I do not want to be dragged in dicussion that
pile up misunderstandings on misunderstandings.

So I will be blunt. Perhaps I should have been in my answer to Raphaël's
request for comment.

Yes, I think that the release is important, and no, I do not think that we
should write vague encouragements the Developers reference. I think that it is
a place for precise informations, not for morale lessons.

Most of the contents of Raphaël's patch is to speak in the name of the Release,
Security and QA teams, I think that it would be much saner if these teams would
propose some content themselves. And if they do not, isn't it a sign that it is
not needed ?

I do not who asked you to comment, but I think that it would be more constructive
if that person took on his own time to improve Raphaël's patch.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan

(and please remember I am not an English speaker)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Fri, 11 Mar 2011 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 11 Mar 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #47 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Fri, 11 Mar 2011 16:47:22 +0100
On Fri, 11 Mar 2011, Charles Plessy wrote:
> Yes, I think that the release is important, and no, I do not think that we
> should write vague encouragements the Developers reference. I think that it is
> a place for precise informations, not for morale lessons.

I think that my patch contains precise information on what developers
should do.

Nowhere in your comments have you shown that my wording implies "morale
lessons".

> Most of the contents of Raphaël's patch is to speak in the name of the Release,
> Security and QA teams, I think that it would be much saner if these teams would
> propose some content themselves. And if they do not, isn't it a sign that it is
> not needed ?

It's a sign that few people like to write documentation and the
volunteers in those teams prefer to do invest their time in other ways.
But I will mail the release team.

> I do not who asked you to comment, but I think that it would be more constructive
> if that person took on his own time to improve Raphaël's patch.

I asked him to comment because the DPL is the most representative person
that I could think of.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Fri, 11 Mar 2011 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Fri, 11 Mar 2011 15:57:06 GMT) Full text and rfc822 format available.

Message #52 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 548867@bugs.debian.org, debian-release@lists.debian.org
Subject: Release team input on developers-reference patch
Date: Fri, 11 Mar 2011 16:54:33 +0100
Hello,

I have written a patch for the developers-reference where I update the
chapter about debian developer's duties. Most notably I have added
that a maintainer ought to support the (stable) release process
by collaborating with the release team.

Charles Plessy is worried that my text would not be in sync with your
point of view. That's why I would like you to review my proposed changes:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;filename=0003-Document-duties-to-wort-towards-the-next-stable-rele.patch;att=3;bug=548867

Do you have objections to this text?

Even if you have none, it would be great to acknowldge it so that I can
commit it with confidence that I'm not mis-representing the consensus.

Thank you in advance.
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sat, 12 Mar 2011 00:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 12 Mar 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #57 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sat, 12 Mar 2011 09:35:47 +0900
Le Fri, Mar 11, 2011 at 04:47:22PM +0100, Raphael Hertzog a écrit :
> On Fri, 11 Mar 2011, Charles Plessy wrote:
> > Yes, I think that the release is important, and no, I do not think that we
> > should write vague encouragements the Developers reference. I think that it is
> > a place for precise informations, not for morale lessons.
> 
> I think that my patch contains precise information on what developers
> should do.
> 
> Nowhere in your comments have you shown that my wording implies "morale
> lessons".

I do not like for instance, the way you write:

  Lack of attention to RC bugs is grounds for the QA team to orphan the package.

In the pledge that inspired your patch, you present orphaning by the QA as a
sanction:

  [I will] not complain if the quality assurance team decides to orphan the package

I do not think that this reflects reality. Perhaps I did not find the words,
but for me, it sounds like a morale lesson: « If you do not maintain your
package well, the QA team will take it from your hands and it will be your
fault ».

How many examples of packages that were forcibly orphaned by the QA team can you cite ?

I think that most packages are orphaned when they are already abandonned by
their maintainer.  So what is your message ?  That the maintainer should
orphan or request the removal himself before the packages becomes a nuisance
to the release process ?  This can be written without mentionning the QA team
in a way presents them as making judgements. See what Google finds when using
the same structure of sentence:

http://www.google.com/search?q="lack+of"+"is+ground+for"

This is just one example, but as I already wrote in my comment, I think that
you need proofreading from the teams you are citing in your patch, to improve
it. Note that nobody in this bug log has yet wrote black on white that this
patch is good and must be applied as is.

This is probably the last comment I send. For the moment you got one negative
appreciation, and zero positive appreciation. Please focus on gathering
positive appreciations, instead of sending your buddies explaining that the
person giving the negative appreciation is wrong. Because even if my negative
comments were wrong, you still have zero positive comments.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sat, 12 Mar 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 12 Mar 2011 08:57:03 GMT) Full text and rfc822 format available.

Message #62 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sat, 12 Mar 2011 09:51:58 +0100
[Message part 1 (text/plain, inline)]
On Sat, 12 Mar 2011, Charles Plessy wrote:
> I do not like for instance, the way you write:
> 
>   Lack of attention to RC bugs is grounds for the QA team to orphan the package.
> 
> In the pledge that inspired your patch, you present orphaning by the QA as a
> sanction:
> 
>   [I will] not complain if the quality assurance team decides to orphan the package
> 
> I do not think that this reflects reality. Perhaps I did not find the words,
> but for me, it sounds like a morale lesson: « If you do not maintain your
> package well, the QA team will take it from your hands and it will be your
> fault ».

Can you concentrate on the submitted patch and not on my initial pledge?
I agree my pledge sounds like a morale lesson, and Manoj Srivastava also
found it patronizing. That's why he rewrote it and he came up
with the wording "Lack of attention to RC bugs is grounds for the QA team
to orphan the package.".

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548867#10

That said I'm certainly open to rewrite it further. What about this:
---
Lack of attention to RC bugs is often interpreted by the QA team as a sign 
that the maintainer has disappeared without properly orphaning his package.
Don't be surprised if the MIA team enters in action and ends up orphaning
your packages (see <xref linkend="mia-qa" />). But you should really avoid
that situation in the first place and ensure that your packages get the attention
that they deserve.
---

> This is probably the last comment I send. For the moment you got one negative
> appreciation, and zero positive appreciation. Please focus on gathering
> positive appreciations, instead of sending your buddies explaining that the
> person giving the negative appreciation is wrong. Because even if my negative
> comments were wrong, you still have zero positive comments.

Stefano is the DPL, someone elected that is supposed to represent us all... not
my "buddy". Your tone in the end of the message is highly displeasing and not
at all constructive.

I have spent several hours drafting this in a way that ought to be acceptable by
the project at large. I hope some other people will comment and help get this
improved. But the way you framed this initial discussion doesn't make it
welcoming for other people to chime in...

I have attached the latest draft of my patch.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sat, 12 Mar 2011 12:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 12 Mar 2011 12:06:02 GMT) Full text and rfc822 format available.

Message #67 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sat, 12 Mar 2011 21:21:33 +0900
Le Sat, Mar 12, 2011 at 09:51:58AM +0100, Raphael Hertzog a écrit :
> 
> I hope some other people will comment and help get this
> improved. But the way you framed this initial discussion doesn't make it
> welcoming for other people to chime in...

On Tue, 1 Mar 2011 10:14:19 +0100, you wrote:

   In the absence of objections, I will commit this sometimes next week.

On Tue, 8 Mar 2011 09:20:42 +0900, I wrote:

  I waited a week to let others give more positive comments first. But since
  there are no comments, I will give mine.

So I have not stopped the discussion. I waited for the very last minute that
you gave to people for commenting. I think that the Developers References
should not be changed if there is not at least one positive agreement to the
change.

Next time, give more time for others to comment. There is no emergency that
justifies a one week deadline.

Also, I welcome positive apperciations of your patch, I gave my opinion
already, and do not have more to add. I will not argue with anybody writing
that your patch is good and can be applied.

And yes, my answer was as displeasing as your hidden call to the DPL. I regret
that I got dragged in giving more explanations. I should have limited myself to
say that I think that it is inappropriate, as it was inappropriate to make
things personnal in Message #52.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 13 Mar 2011 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 09:09:06 GMT) Full text and rfc822 format available.

Message #72 received at 548867@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Raphael Hertzog <hertzog@debian.org>, 548867@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 13 Mar 2011 10:05:49 +0100
Hi,

As one of the (ex-)?dev-ref maintainers, I was also asked to comment by
Raphael.

Generally, I think that the patch goes in the right direction.

I'd like to suggest changes to the last paragraph, though:
 Lack of attention to RC bugs is often interpreted by the QA team as a sign
 that the maintainer has disappeared without properly orphaning his package.
-Don't be surprised if the MIA team enters in action and ends up orphaning
-your packages (see <xref linkend="mia-qa" />). But you should really avoid
-that situation in the first place and ensure that your packages get the attention
-that they deserve.
+The MIA team might enter in action, which could end up in your packages being
+orphaned (see <xref linkend="mia-qa" />).

(I find the last sentence useless as is.)

Thanks,

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 13 Mar 2011 09:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 09:45:10 GMT) Full text and rfc822 format available.

Message #77 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 13 Mar 2011 10:40:16 +0100
On Sun, 13 Mar 2011, Lucas Nussbaum wrote:
> I'd like to suggest changes to the last paragraph, though:
>  Lack of attention to RC bugs is often interpreted by the QA team as a sign
>  that the maintainer has disappeared without properly orphaning his package.
> -Don't be surprised if the MIA team enters in action and ends up orphaning
> -your packages (see <xref linkend="mia-qa" />). But you should really avoid
> -that situation in the first place and ensure that your packages get the attention
> -that they deserve.
> +The MIA team might enter in action, which could end up in your packages being
> +orphaned (see <xref linkend="mia-qa" />).
> 
> (I find the last sentence useless as is.)

Ok, integrated. Thanks for your feedback.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 13 Mar 2011 09:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 09:57:06 GMT) Full text and rfc822 format available.

Message #82 received at 548867@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Charles Plessy <plessy@debian.org>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 13 Mar 2011 10:55:26 +0100
On Fri, Mar 11, 2011 at 11:21:19PM +0900, Charles Plessy wrote:
> Hi Stefano,
> 
> let's focus on Raphaël's patch. I do not want to be dragged in dicussion that
> pile up misunderstandings on misunderstandings.
> 
> So I will be blunt. Perhaps I should have been in my answer to Raphaël's
> request for comment.
> 
> Yes, I think that the release is important, and no, I do not think that we
> should write vague encouragements the Developers reference. I think that it is
> a place for precise informations, not for morale lessons.

I have to agree with both Zack on the importance of the release and Charles here on
the purpose of the Developper references.

As the name imply, this a reference document, not a prescriptive document. It should
provide technical answer to technical question. Fundamentally it only provides advices.
Patronizing would be bad form. 

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 13 Mar 2011 10:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 10:15:12 GMT) Full text and rfc822 format available.

Message #87 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 13 Mar 2011 11:11:05 +0100
Hi Bill,

On Sun, 13 Mar 2011, Bill Allombert wrote:
> As the name imply, this a reference document, not a prescriptive document. It should
> provide technical answer to technical question. Fundamentally it only provides advices.
> Patronizing would be bad form. 

Please be specific, can you tell me where in the latest patch there's
"patronizing" in action?

Note that the whole "developer duties" chapter is not new. I'm not
introducing it. And the purpose of the developers-reference has always
been broader than "technical answer to technical question". We have always
had explanations of procedures of how to interact with various teams and
the associated expectations put on the maintainer.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 13 Mar 2011 11:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 13 Mar 2011 11:21:07 GMT) Full text and rfc822 format available.

Message #92 received at 548867@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 13 Mar 2011 12:18:03 +0100
On Sun, Mar 13, 2011 at 11:11:05AM +0100, Raphael Hertzog wrote:
> Hi Bill,
> 
> On Sun, 13 Mar 2011, Bill Allombert wrote:
> > As the name imply, this a reference document, not a prescriptive document. It should
> > provide technical answer to technical question. Fundamentally it only provides advices.
> > Patronizing would be bad form. 
> 
> Please be specific, can you tell me where in the latest patch there's
> "patronizing" in action?

Please be specific: where did I claim that ?

But in anycase, I do not think that statement like 
<<
As a package maintainer, you're supposed to fulfill the Debian
Social Contract by providing high-quality packages that are well integrated
in the system and that adhere to the Debian Policy.
>>
belong to devref. 

> Note that the whole "developer duties" chapter is not new. I'm not
> introducing it. And the purpose of the developers-reference has always
> been broader than "technical answer to technical question". We have always
> had explanations of procedures of how to interact with various teams and
> the associated expectations put on the maintainer.

People always have been free to ignore the devref and always have done so, which was
a good thing given it used to be outdated.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Mon, 14 Mar 2011 04:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrew@morphoss.com:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 14 Mar 2011 04:48:03 GMT) Full text and rfc822 format available.

Message #97 received at 548867@bugs.debian.org (full text, mbox):

From: Andrew McMillan <andrew@morphoss.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 14 Mar 2011 17:34:08 +1300
[Message part 1 (text/plain, inline)]
On Sun, 2011-03-13 at 10:05 +0100, Lucas Nussbaum wrote:
> Hi,
> 
> As one of the (ex-)?dev-ref maintainers, I was also asked to comment by
> Raphael.
> 
> Generally, I think that the patch goes in the right direction.
> 
> I'd like to suggest changes to the last paragraph, though:
>  Lack of attention to RC bugs is often interpreted by the QA team as a sign
>  that the maintainer has disappeared without properly orphaning his package.
> -Don't be surprised if the MIA team enters in action and ends up orphaning
> -your packages (see <xref linkend="mia-qa" />). But you should really avoid
> -that situation in the first place and ensure that your packages get the attention
> -that they deserve.
> +The MIA team might enter in action, which could end up in your packages being
> +orphaned (see <xref linkend="mia-qa" />).
> 
> (I find the last sentence useless as is.)

The phrase "enter in action" sounds really weird.  Is it supposed to
mean something like "also get involved", so perhaps more correct wording
might be:

+The MIA team might also get involved, which could result in your
+packages being orphaned (see <xref linkend="mia-qa" />).


Also, is it true that the MIA team would orphan all of your packages in
this case, or just the one that had the unattended RC bug?  If it would
just be the one then we should say that.

Regards,
					Andrew.

-- 
------------------------------------------------------------------------
andrew (AT) morphoss (DOT) com                            +64(272)DEBIAN
         I like being single. I'm always there when I need me.
                               -- Art Leo

------------------------------------------------------------------------

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Mon, 14 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 14 Mar 2011 22:03:06 GMT) Full text and rfc822 format available.

Message #102 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 14 Mar 2011 23:00:09 +0100
Hi,

On Sun, 13 Mar 2011, Bill Allombert wrote:
> But in anycase, I do not think that statement like 
> <<
> As a package maintainer, you're supposed to fulfill the Debian
> Social Contract by providing high-quality packages that are well integrated
> in the system and that adhere to the Debian Policy.
> >>
> belong to devref. 

This is a bit out-of-context, this sentence is an introduction to the
section where I have grouped all the high-level duties related to package
maintenance:
- Work towards the next stable release
- Maintain packages in stable
- Manage RC bugs
- Coordinate with upstream

Dropping it entirely means we have no introduction anymore. What's the
part that bothers you? Is it the reference to the social contract?

If yes, we could do without it and keep:
| As a package maintainer, you're supposed to provide high-quality
| packages that are well integrated in the system and that adhere to the
| Debian Policy.

But no introduction at all would be bad IMO. We need a quick recap of the
high-level goal and then the next sections drill down into some of the
specifics of the high-level goal.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Mon, 14 Mar 2011 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 14 Mar 2011 22:09:03 GMT) Full text and rfc822 format available.

Message #107 received at 548867@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: andrew@morphoss.com, 548867@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 14 Mar 2011 23:05:56 +0100
On Mon, 14 Mar 2011, Andrew McMillan wrote:
> > -Don't be surprised if the MIA team enters in action and ends up orphaning
> > -your packages (see <xref linkend="mia-qa" />). But you should really avoid
> > -that situation in the first place and ensure that your packages get the attention
> > -that they deserve.
> > +The MIA team might enter in action, which could end up in your packages being
> > +orphaned (see <xref linkend="mia-qa" />).
> > 
> > (I find the last sentence useless as is.)
> 
> The phrase "enter in action" sounds really weird.  Is it supposed to
> mean something like "also get involved", so perhaps more correct wording
> might be:
> 
> +The MIA team might also get involved, which could result in your
> +packages being orphaned (see <xref linkend="mia-qa" />).

Adopted, thanks.

> Also, is it true that the MIA team would orphan all of your packages in
> this case, or just the one that had the unattended RC bug?  If it would
> just be the one then we should say that.

It depends... but usually when the MIA team does the orphaning it's
because the maintainer has not responded and then all packages are orphaned.

(If the maintainer replies, then nothing is orphaned but the MIA team will
usually try to incite you to take fewer responsibilities so that you can
do a better job with the remaining packages.)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Mon, 14 Mar 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 14 Mar 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #112 received at 548867@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 14 Mar 2011 23:49:29 +0100
On Mon, Mar 14, 2011 at 11:00:09PM +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Sun, 13 Mar 2011, Bill Allombert wrote:
> > But in anycase, I do not think that statement like 
> > <<
> > As a package maintainer, you're supposed to fulfill the Debian
> > Social Contract by providing high-quality packages that are well integrated
> > in the system and that adhere to the Debian Policy.
> > >>
> > belong to devref. 
> 
> This is a bit out-of-context, this sentence is an introduction to the
> section where I have grouped all the high-level duties related to package
> maintenance:
> - Work towards the next stable release
> - Maintain packages in stable
> - Manage RC bugs
> - Coordinate with upstream
> 
> Dropping it entirely means we have no introduction anymore. What's the
> part that bothers you? Is it the reference to the social contract?

I think it would be better not to have an introduction at all than that.
The reference to the social contract only serves to hide the emptiness
of the whole sentence. Do you actually think it conveys some information ?
I do not.

More generally, the use of the first person should be avoided in a reference document.
It is too often interpreted as patronizing.

Writing:
<<
the role of a package maintainer is:
 - to update their packages to follow the latest policy
 - to handle bug reports reported to the Debian policy
 - etc.
>>
is more neutral and thus less likely to be interpreted as patronizing.


Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sat, 19 Mar 2011 23:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sat, 19 Mar 2011 23:21:09 GMT) Full text and rfc822 format available.

Message #117 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 20 Mar 2011 08:42:45 +0900
Hi Raphaël,

in a private discussion, you asked me more feedback about the changes you
proposed. I waited before answering, because I wanted to read more comments
from others, and my mistake was probably to not notify you that I was waiting.

This morning I see that the french l10n team is translating your changes, that
you already committed. I suppose that the discussion is over.

I write this email to inform other readers that you committed you changes.

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 13:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 03 Apr 2011 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 03 Apr 2011 13:33:06 GMT) Full text and rfc822 format available.

Message #124 received at 548867@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Charles Plessy <plessy@debian.org>, 548867@bugs.debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Sun, 3 Apr 2011 15:21:44 +0200
[Message part 1 (text/plain, inline)]
On Sun, Mar 20, 2011 at 08:42:45AM +0900, Charles Plessy wrote:
> in a private discussion, you asked me more feedback about the changes
> you proposed. I waited before answering, because I wanted to read more
> comments from others, and my mistake was probably to not notify you
> that I was waiting.
> 
> This morning I see that the french l10n team is translating your
> changes, that you already committed. I suppose that the discussion is
> over.
> 
> I write this email to inform other readers that you committed you
> changes.

Charles, I'm sorry you took that badly this change by Raphael.  At the
same time, we can probably all learn something from this exchange, so
that future changes to the devref are more pleasant.

Here are a few comments of mine, after re-reading all this bug log:

- Activism is good. We need people that drive changes (all over Debian,
  not only to devref). Sure enough we won't always like what the
  activists propose, but we should try hard to debate the merit of the
  proposals rather than changes per se, as the latter will only
  discourage *everybody* to make further changes.

- As a consequence of the above, accusation not related to the proposed
  changes should be avoided.  In particular, I don't see a problem when
  people ask me to comment as DPL; actually, I generally *encourage*
  people to do so!

- Short deadlines for a bug which has been stalled for years do not
  help.

- When asking for rough consensus, we should be ready to accept the
  result of that.

What else do you think we can learn from this exchange?

Please, everybody, let's try to keep active the development around
devref, as we really need it!
Thanks you all for your work.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#548867; Package developers-reference. (Sun, 03 Apr 2011 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Sun, 03 Apr 2011 23:18:03 GMT) Full text and rfc822 format available.

Message #129 received at 548867@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 548867@bugs.debian.org, leader@debian.org
Subject: Re: Bug#548867: Proposed patch to update Debian Developer's Duties chapter
Date: Mon, 4 Apr 2011 08:30:36 +0900
> What else do you think we can learn from this exchange?

To not finger-point in blogs.




Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 23 Jun 2011 19:36:11 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Thu, 23 Jun 2011 19:36:11 GMT) Full text and rfc822 format available.

Message #134 received at 548867-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 548867-close@bugs.debian.org
Subject: Bug#548867: fixed in developers-reference 3.4.5
Date: Thu, 23 Jun 2011 19:33:00 +0000
Source: developers-reference
Source-Version: 3.4.5

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-de_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-de_3.4.5_all.deb
developers-reference-fr_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.5_all.deb
developers-reference-ja_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.5_all.deb
developers-reference_3.4.5.dsc
  to main/d/developers-reference/developers-reference_3.4.5.dsc
developers-reference_3.4.5.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.5.tar.bz2
developers-reference_3.4.5_all.deb
  to main/d/developers-reference/developers-reference_3.4.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 548867@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jun 2011 13:56:46 -0400
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.5
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 453313 548867 619990 623489 623512
Changes: 
 developers-reference (3.4.5) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gerfried Fuchs ]
   * Remove part about -v for package uploads from experimental to unstable,
     version tracking removed that requirement.
 .
   [ Raphaël Hertzog ]
   * Rework section on "sponsoring packages" and include a basic
     checklist for the sponsor. Closes: #453313
   * Update the "Debian Developer's Duties" chapter to be more explicit
     about duties of package maintainers. Closes: #548867
   * Update references to merkel (which is decommissionned) where
     needed. Closes: #619990
     Thanks to Charles Plessy for the patch.
   * Many typos fixed by Chris Leick <c.leick@vollbio.de>. Closes: #623512
 .
   [ Chris Leick ]
   * Initial German translation.
 .
   [ David Prévot ]
   * Activate German package. Closes: #623489
   * Update French translation.
   * Bump Standards-Version to 3.9.2. No changes needed.
   * Add build-arch and build-indep targets.
   * Explicitly refer to GPL-2 file in debian/copyright.
 .
   [ Hideki Yamane ]
   * Update Japanese translation.
Checksums-Sha1: 
 d60c87880daa6665b0535c4ef99daffc6c017b0e 1906 developers-reference_3.4.5.dsc
 c29a514400798b388f6ae7805e3974ef8b885cb2 608140 developers-reference_3.4.5.tar.bz2
 68511e26d61c373e317f2926b062eebc2191b0cf 727862 developers-reference_3.4.5_all.deb
 22f50ae2a189a66b6ed37371909d06218e4210ba 800986 developers-reference-de_3.4.5_all.deb
 eceab27f47bfb22e48abc7e1b9a65dcf554b9dc8 787194 developers-reference-fr_3.4.5_all.deb
 a7f43815664efaf446281572e93d920207554310 277530 developers-reference-ja_3.4.5_all.deb
Checksums-Sha256: 
 51c199c7ac3391f65f5219e309bcb29d6238f59f719c862e9c9a4e2f8ec2d330 1906 developers-reference_3.4.5.dsc
 af26c979639198954875507e8512a36cc3b490a36d9af8bb9ab9e34c55a5ad85 608140 developers-reference_3.4.5.tar.bz2
 e46db65c9d5b84a3daa586fbce946864af33976b2cfb0730df11215fa846b854 727862 developers-reference_3.4.5_all.deb
 a712ca8082db28a61a6e6e95536f620711217d24e4e254b3dd9773c221c0537b 800986 developers-reference-de_3.4.5_all.deb
 5137de66871253d5df518957b767e3f3552e98aa572377503aa7ccfd4d928a9b 787194 developers-reference-fr_3.4.5_all.deb
 a409758b308dfe21f82af1e64945f1b4e1a3ce2ad90cd068ae649147e2af0692 277530 developers-reference-ja_3.4.5_all.deb
Files: 
 5c4d721ac836dbdb3545d691ad434ece 1906 doc optional developers-reference_3.4.5.dsc
 e6cb866248d4471c70a286c1af945e4c 608140 doc optional developers-reference_3.4.5.tar.bz2
 e9a2019c38d6707e407ff39ac1f9e41b 727862 doc optional developers-reference_3.4.5_all.deb
 1564f9fbb019c0b462c55b5a049d70c6 800986 doc optional developers-reference-de_3.4.5_all.deb
 f2f2df6c307a240f5081bb00f053e437 787194 doc optional developers-reference-fr_3.4.5_all.deb
 479e139d6ec5047c820194d9e98c0632 277530 doc optional developers-reference-ja_3.4.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN/jxkAAoJELgqIXr9/gnyMlEQAIwMxvLMtTUISbpIMr7FD0is
kHV+fFLH8iQRyzxJu40/3y3kbkVx3z2hhbTT6MHEAs+VcZOqZuzcIFCxbTVZS5p4
+/dPTwvYwzVnUpHPBu2CAhKkv4cECHkm/eQpxb/jkKexBjs5aUC3/t2rRuqeJNWu
FDZWEJ6/6LdeiDGCoslmHe+e67+e1KpM3dkme8xKNYHAI1Jnl8VXIwggy/CTuSr3
711EertX9RlR7a75eF1ndjPv/79zLUZ1iHcXXc03IQiEj7zlIznMXqHkUVE6oWwj
gk9es1maiPa1xI9VgzcHR8uV+WLPEkfuYuePsinma7OUOhcnotlTR4X/fRhlC85t
pwjNlQFVN3ccJi8Us/x5xinBtPkVpB7vDKRp7b+IqMh9xrG95ZEzm+nz/lXYjrrk
cPIf2RChJ+yJbiZd3aCsSO7hdMfWl4+mCt1xZQudpS7C4/kMVKdZHo5tnJlwGWkC
Qyg62ld3j9jrfnc+ai/wm3p/vizBydOyh+2MBeMr67iylX0FT28ThiOTofr65isX
fYuGAUaZGfGFS2YYS1rmfQQQgjyBYV6TGLfzme/A58x7r3R/lPrReYY+qrH7VPC5
IFk5oFduZll/sb4gMjnF++Mg81CKCh9SStm0HxBxaYA2DRb4k3MLEyZDNdAude7F
S/7bmRjfRHtpElwCPxwQ
=ds4R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Aug 2011 07:38:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:34:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.